Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.flow.table
Class ColumnNumberManager

    java.lang.Object
      org.apache.fop.fo.flow.table.ColumnNumberManager

    public class ColumnNumberManager

extends java.lang.Object

Helper class maintaining a record of occupied columns and an index to the next non-occupied column.

Constructor Summary
`ColumnNumberManager()`

Method Summary
`boolean` | `isColumnNumberUsed(int colNr)` Checks whether a given column-number is already in use for the current row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnNumberManager

    public ColumnNumberManager()

Method Detail

### isColumnNumberUsed

    public boolean isColumnNumberUsed(int colNr)

  Checks whether a given column-number is already in use for the current row.

  Parameters:
    `colNr` - the column-number to check
  Returns:
    true if column-number is already occupied

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.